/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://kenai.com/hg/openbluesky~src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.indexedfilesystem.jpa;

import java.sql.SQLException;
import it.tidalwave.netbeans.persistence.maintenance.MaintainerTask;
import org.openide.util.lookup.ServiceProvider;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@ServiceProvider(service=MaintainerTask.class)
public class INDEXED_FILE_v0_v1 extends MaintainerTask
  {
    public INDEXED_FILE_v0_v1()
      {
        super(IndexedFileEntity.class, "INDEXED_FILE", 0, 1);
      }

    @Override
    public void run() 
      throws SQLException 
      {
        if (existsTable("INDEXEDFILE2"))
          {
            importFromTable("INDEXEDFILE2"); 
          }

        final long now = System.currentTimeMillis();
        updateColumns(rename("ID", "OID"), 
                      create("INDEXING_TIMESTAMP", "BIGINT", now));
      }
  }
